For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
      • POSTCreate access token
      • DELDelete access token
      • GETGet access token
      • GETList access tokens
      • PATCHPatch access token
      • POSTReset access token
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewAccess Tokens

List access tokens

GET
/api/v2/tokens
GET
/api/v2/tokens
$curl https://app.launchdarkly.com/api/v2/tokens \
> -H "Authorization: <apiKey>"
1{
2 "items": [
3 {
4 "_id": "61095542756dba551110ae21",
5 "ownerId": "569f514156e003339cfd3917",
6 "memberId": "569f514183f2164430000002",
7 "creationDate": 1628001602644,
8 "lastModified": 1628001602644,
9 "_links": {
10 "parent": {
11 "href": "/api/v2/tokens",
12 "type": "application/json"
13 },
14 "self": {
15 "href": "/api/v2/tokens/61095542756dba551110ae21",
16 "type": "application/json"
17 }
18 },
19 "_member": {
20 "_links": {
21 "self": {
22 "href": "/api/v2/members/569f183514f4432160000007",
23 "type": "application/json"
24 }
25 },
26 "_id": "569f183514f4432160000007",
27 "role": "admin",
28 "email": "ariel@acme.com",
29 "firstName": "Ariel",
30 "lastName": "Flores"
31 },
32 "name": "Example reader token",
33 "description": "A reader token used in testing and examples",
34 "customRoleIds": [],
35 "inlineRole": [],
36 "role": "reader",
37 "token": "1234",
38 "serviceToken": false,
39 "defaultApiVersion": 20240415,
40 "lastUsed": 0
41 }
42 ],
43 "_links": {},
44 "totalCount": 1
45}
Fetch a list of all access tokens.
Was this page helpful?
Previous

Patch access token

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

showAllbooleanOptional
If set to true, and the authentication access token has the 'Admin' role, personal access tokens for all members will be retrieved.
limitlongOptional
The number of access tokens to return in the response. Defaults to 25.
offsetlongOptional

Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

Response

Access tokens collection response
itemslist of objects
An array of access tokens
_linksmap from strings to objects
totalCountinteger
The number of access tokens returned

Errors

401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error